# Constant Field Values

## Contents

- org.h2gis.*

## org.h2gis.*

org.h2gis.functions.factory.H2GISDBFactory
Modifier and Type
Constant Field
Value
`public static final String`
`H2_PARAMETERS`
`";DB_CLOSE_ON_EXIT=FALSE"`
org.h2gis.functions.factory.H2GISFunctions
Modifier and Type
Constant Field
Value
`public static final String`
`GEOMETRY_BASE_TYPE`
`"GEOMETRY"`

org.h2gis.functions.io.file_table.H2TableIndex
Modifier and Type
Constant Field
Value
`public static final String`
`PK_COLUMN_NAME`
`"PK"`

org.h2gis.functions.io.gpx.model.AbstractGpxParserDefault
Modifier and Type
Constant Field
Value
`public static final int`
`STRINGSTACK_SIZE`
`50`
org.h2gis.functions.io.gpx.model.GpxMetadata
Modifier and Type
Constant Field
Value
`public static final int`
`LINECMT`
`3`
`public static final int`
`LINEDESC`
`4`
`public static final int`
`LINEEXTENSIONS`
`10`
`public static final int`
`LINEID`
`1`
`public static final int`
`LINELINK_HREF`
`6`
`public static final int`
`LINELINK_HREFTITLE`
`7`
`public static final int`
`LINENAME`
`2`
`public static final int`
`LINENUMBER`
`8`
`public static final int`
`LINESRC`
`5`
`public static final int`
`LINETYPE`
`9`
`public static final int`
`PTAGEOFDGPSDATA`
`21`
`public static final int`
`PTCMT`
`9`
`public static final int`
`PTDESC`
`10`
`public static final int`
`PTDGPSID`
`22`
`public static final int`
`PTELE`
`4`
`public static final int`
`PTEXTENSIONS`
`23`
`public static final int`
`PTFIX`
`16`
`public static final int`
`PTGEOIDWEIGHT`
`7`
`public static final int`
`PTHDOP`
`18`
`public static final int`
`PTID`
`1`
`public static final int`
`PTLAT`
`2`
`public static final int`
`PTLINK`
`12`
`public static final int`
`PTLINKTEXT`
`13`
`public static final int`
`PTLON`
`3`
`public static final int`
`PTMAGVAR`
`6`
`public static final int`
`PTNAME`
`8`
`public static final int`
`PTPDOP`
`20`
`public static final int`
`PTSAT`
`17`
`public static final int`
`PTSRC`
`11`
`public static final int`
`PTSYM`
`14`
`public static final int`
`PTTIME`
`5`
`public static final int`
`PTTYPE`
`15`
`public static final int`
`PTVDOP`
`19`
`public static final int`
`RTEFIELDCOUNT`
`11`
`public static final int`
`RTEPT_RTEID`
`24`
`public static final int`
`RTEPTFIELDCOUNT`
`25`
`public static final int`
`THE_GEOM`
`0`
`public static final int`
`TRKFIELDCOUNT`
`11`
`public static final int`
`TRKPT_TRKSEGID`
`24`
`public static final int`
`TRKPTFIELDCOUNT`
`25`
`public static final int`
`TRKSEG_TRKID`
`3`
`public static final int`
`TRKSEGEXTENSIONS`
`2`
`public static final int`
`TRKSEGFIELDCOUNT`
`4`
`public static final int`
`TRKSEGID`
`1`
`public static final int`
`WPTFIELDCOUNT`
`24`
org.h2gis.functions.io.gpx.model.GPXTablesFactory
Modifier and Type
Constant Field
Value
`public static final String`
`ROUTE`
`"_route"`
`public static final String`
`ROUTEPOINT`
`"_routepoint"`
`public static final String`
`TRACK`
`"_track"`
`public static final String`
`TRACKPOINT`
`"_trackpoint"`
`public static final String`
`TRACKSEGMENT`
`"_tracksegment"`
`public static final String`
`WAYPOINT`
`"_waypoint"`

org.h2gis.functions.io.kml.AltitudeMode
Modifier and Type
Constant Field
Value
`public static final int`
`GX_CLAMPTOSEAFLOOR`
`8`
`public static final int`
`GX_RELATIVETOSEAFLOOR`
`16`
`public static final int`
`KML_ABSOLUTE`
`4`
`public static final int`
`KML_CLAMPTOGROUND`
`1`
`public static final int`
`KML_RELATIVETOGROUND`
`2`
`public static final int`
`NONE`
`0`

org.h2gis.functions.io.osm.OSMTablesFactory
Modifier and Type
Constant Field
Value
`public static final String`
`NODE`
`"_node"`
`public static final String`
`NODE_MEMBER`
`"_node_member"`
`public static final String`
`NODE_TAG`
`"_node_tag"`
`public static final String`
`RELATION`
`"_relation"`
`public static final String`
`RELATION_MEMBER`
`"_relation_member"`
`public static final String`
`RELATION_TAG`
`"_relation_tag"`
`public static final String`
`WAY`
`"_way"`
`public static final String`
`WAY_MEMBER`
`"_way_member"`
`public static final String`
`WAY_NODE`
`"_way_node"`
`public static final String`
`WAY_TAG`
`"_way_tag"`
org.h2gis.functions.io.osm.OSMTags
Modifier and Type
Constant Field
Value
`public static final int`
`NODEFIELDCOUNT`
`8`
`public static final int`
`WAYFIELDCOUNT`
`8`

org.h2gis.functions.io.shp.internal.ShapefileHeader
Modifier and Type
Constant Field
Value
`public static final int`
`MAGIC`
`9994`
`public static final int`
`VERSION`
`1000`

org.h2gis.functions.spatial.affine_transformations.ST_Translate
Modifier and Type
Constant Field
Value
`public static final String`
`MIXED_DIM_ERROR`
`"Cannot translate geometries of mixed dimension"`

org.h2gis.functions.spatial.clean.ST_MakeValid
Modifier and Type
Constant Field
Value
`public static final String`
`REMARKS`
`"Repair an invalid geometry.\n If preserveGeomDim is true, makeValid will remove degenerated geometries from\n the result, i.e geometries which dimension is lower than the input geometry\nA multi-geometry will always produce a multi-geometry (eventually empty or made\n of a single component).\nA simple geometry may produce a multi-geometry (ex. polygon with self-intersection\n will generally produce a multi-polygon). In this case, it is up to the client to\n explode multi-geometries if he needs to.\nIf preserveGeomDim is off, it is up to the client to filter degenerate geometries.\n WARNING : for geometries of dimension 1 (linear), duplicate coordinates are\n preserved as much as possible. For geometries of dimension 2 (areal), duplicate\n coordinates are generally removed due to the use of overlay operations."`

org.h2gis.functions.spatial.convert.ST_PointFromText
Modifier and Type
Constant Field
Value
`public static final String`
`TYPE_ERROR`
`"The provided WKT Geometry is not a POINT. Type: "`

org.h2gis.functions.spatial.create.ST_MakeLine
Modifier and Type
Constant Field
Value
`public static final int`
`REQUIRED_NUMBER_OF_POINTS`
`2`

org.h2gis.functions.spatial.edit.ST_AddPoint
Modifier and Type
Constant Field
Value
`public static final double`
`PRECISION`
`1.0E-5`
org.h2gis.functions.spatial.edit.ST_InsertPoint
Modifier and Type
Constant Field
Value
`public static final double`
`PRECISION`
`1.0E-5`

org.h2gis.functions.spatial.properties.ST_Explode
Modifier and Type
Constant Field
Value
`public static final String`
`EXPLODE_FIELD`
`"EXPLOD_ID"`

org.h2gis.functions.spatial.split.ST_Split
Modifier and Type
Constant Field
Value
`public static final double`
`PRECISION`
`1.0E-5`

org.h2gis.functions.spatial.topography.ST_TriangleContouring
Modifier and Type
Constant Field
Value
`public static final String`
`ISO_FIELD_NAME`
`"IDISO"`
org.h2gis.functions.spatial.topography.TINFeatureFactory
Modifier and Type
Constant Field
Value
`public static final double`
`EPSILON`
`1.0E-12`

org.h2gis.functions.spatial.topology.ST_Graph
Modifier and Type
Constant Field
Value
`public static final String`
`ALREADY_RUN_ERROR`
`"ST_Graph has already been called on table "`
`public static final String`
`EDGES_SUFFIX`
`"_EDGES"`
`public static final String`
`NODES_SUFFIX`
`"_NODES"`
`public static final String`
`REMARKS`
`"ST_Graph produces two tables (nodes and edges) from an input table containing\n`LINESTRING`s or `MULTILINESTRING`s in the given column and using the given\ntolerance, and potentially orienting edges by slope. If the input table has\nname `input`, then the output tables are named `input_nodes` and `input_edges`.\nThe nodes table consists of an integer `node_id` and a `POINT` geometry\nrepresenting each node. The edges table is a copy of the input table with three\nextra columns: `edge_id`, `start_node`, and `end_node`. The `start_node` and\n`end_node` correspond to the `node_id`s in the nodes table.\n\nIf the specified geometry column of the input table contains geometries other\nthan `LINESTRING`s, the operation will fail.\n\nA tolerance value may be given to specify the side length of a square envelope\naround each node used to snap together other nodes within the same envelope.\nNote, however, that edge geometries are left untouched. Note also that\ncoordinates within a given tolerance of each other are not necessarily snapped\ntogether. Only the first and last coordinates of a geometry are considered to\nbe potential nodes, and only nodes within a given tolerance of each other are\nsnapped together. The tolerance works only in metric units.\n\nA boolean value may be set to true to specify that edges should be oriented by\nthe z-value of their first and last coordinates (decreasing).\n"`
`public static final String`
`TYPE_ERROR`
`"Only LINESTRINGs and LINESTRING Zs are accepted. Type code: "`